use axum::Json;
use axum_extra::extract::WithRejection;
use domain::dto::account::AuthenticateGooleAccountReq;
use library::resp::{rejection::IRejection, response::{ResErr, ResOK, ResResult}};
use validator::Validate;

pub async fn authenticate_google(
    WithRejection(Json(req), _): IRejection<Json<AuthenticateGooleAccountReq>>
) -> ResResult<ResOK<()>> {
    if let Err(err) = req.validate() {
        return Err(ResErr::ErrParams(Some(err.to_string())));
    }

    service::account::authticate_google(req).await?;

    Ok(ResOK(None))
}
